classification
Title: readline: libedit support on non-apple platforms
Type: behavior Stage: resolved
Components: Extension Modules Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Make libedit support more generic; port readline / libedit to FreeBSD
View: 13501
Assigned To: Nosy List: BreamoreBoy, martin.panter, ronaldoussoren
Priority: normal Keywords:

Created on 2013-07-15 12:37 by ronaldoussoren, last changed 2015-05-24 09:54 by martin.panter. This issue is now closed.

Messages (3)
msg193092 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2013-07-15 12:37
Modules/readline.c contains some code that improves interop with the readline emulation in libedit. That interop code is currently guarded by '#ifdef __APPLE__' preprocessor tests.

This should be replaced by '#if HAVE_LIBEDIT' to make it possible to use the same interop code on other platforms with libedit (such as BSD systems). 

A patch should have two parts:

1) Detect in either configure or setup.py if libedit's readline emulation
   will/should be used.

2) Change the __APPLE__ guards by HAVE_LIBEDIT guards.
msg228608 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-10-05 18:21
Just a gentle reminder.
msg243974 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2015-05-24 09:47
There was already a potential patch in Issue 13501.
History
Date User Action Args
2015-05-24 09:54:16martin.pantersetstatus: open -> closed
stage: needs patch -> resolved
2015-05-24 09:47:31martin.pantersetnosy: + martin.panter
messages: + msg243974
resolution: duplicate

superseder: Make libedit support more generic; port readline / libedit to FreeBSD
2014-10-05 18:21:56BreamoreBoysetversions: + Python 2.7, Python 3.5
nosy: + BreamoreBoy

messages: + msg228608

components: + Extension Modules
2013-07-15 12:37:00ronaldoussorencreate